com.genesyslab.wfm7.API.service.config761

## Class CfgVirtualActivityFilter

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgVirtualActivityFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgVirtualActivityFilter
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int[]` | `wmActivityId`
    `private int` | `wmActivityIdNSizeIs`
    `private int[]` | `wmBUId`
    `private int` | `wmBUIdNSizeIs`
    `private int[]` | `wmSiteId`
    `private int` | `wmSiteIdNSizeIs`
    `private int[]` | `wmType`
    `private int` | `wmTypeNSizeIs`
    `private int[]` | `wmVirtualActivityId`
    `private int` | `wmVirtualActivityIdNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgVirtualActivityFilter()`
    `CfgVirtualActivityFilter(int wmBUIdNSizeIs, int[] wmBUId, int wmSiteIdNSizeIs, int[] wmSiteId, int wmVirtualActivityIdNSizeIs, int[] wmVirtualActivityId, int wmActivityIdNSizeIs, int[] wmActivityId, int wmTypeNSizeIs, int[] wmType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int[]` | `getWmActivityId()` Gets the wmActivityId value for this CfgVirtualActivityFilter.
    `int` | `getWmActivityIdNSizeIs()` Gets the wmActivityIdNSizeIs value for this CfgVirtualActivityFilter.
    `int[]` | `getWmBUId()` Gets the wmBUId value for this CfgVirtualActivityFilter.
    `int` | `getWmBUIdNSizeIs()` Gets the wmBUIdNSizeIs value for this CfgVirtualActivityFilter.
    `int[]` | `getWmSiteId()` Gets the wmSiteId value for this CfgVirtualActivityFilter.
    `int` | `getWmSiteIdNSizeIs()` Gets the wmSiteIdNSizeIs value for this CfgVirtualActivityFilter.
    `int[]` | `getWmType()` Gets the wmType value for this CfgVirtualActivityFilter.
    `int` | `getWmTypeNSizeIs()` Gets the wmTypeNSizeIs value for this CfgVirtualActivityFilter.
    `int[]` | `getWmVirtualActivityId()` Gets the wmVirtualActivityId value for this CfgVirtualActivityFilter.
    `int` | `getWmVirtualActivityIdNSizeIs()` Gets the wmVirtualActivityIdNSizeIs value for this CfgVirtualActivityFilter.
    `int` | `hashCode()`
    `void` | `setWmActivityId(int[] wmActivityId)` Sets the wmActivityId value for this CfgVirtualActivityFilter.
    `void` | `setWmActivityIdNSizeIs(int wmActivityIdNSizeIs)` Sets the wmActivityIdNSizeIs value for this CfgVirtualActivityFilter.
    `void` | `setWmBUId(int[] wmBUId)` Sets the wmBUId value for this CfgVirtualActivityFilter.
    `void` | `setWmBUIdNSizeIs(int wmBUIdNSizeIs)` Sets the wmBUIdNSizeIs value for this CfgVirtualActivityFilter.
    `void` | `setWmSiteId(int[] wmSiteId)` Sets the wmSiteId value for this CfgVirtualActivityFilter.
    `void` | `setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)` Sets the wmSiteIdNSizeIs value for this CfgVirtualActivityFilter.
    `void` | `setWmType(int[] wmType)` Sets the wmType value for this CfgVirtualActivityFilter.
    `void` | `setWmTypeNSizeIs(int wmTypeNSizeIs)` Sets the wmTypeNSizeIs value for this CfgVirtualActivityFilter.
    `void` | `setWmVirtualActivityId(int[] wmVirtualActivityId)` Sets the wmVirtualActivityId value for this CfgVirtualActivityFilter.
    `void` | `setWmVirtualActivityIdNSizeIs(int wmVirtualActivityIdNSizeIs)` Sets the wmVirtualActivityIdNSizeIs value for this CfgVirtualActivityFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmBUIdNSizeIs

          private int wmBUIdNSizeIs

    - #### wmBUId

          private int[] wmBUId

    - #### wmSiteIdNSizeIs

          private int wmSiteIdNSizeIs

    - #### wmSiteId

          private int[] wmSiteId

    - #### wmVirtualActivityIdNSizeIs

          private int wmVirtualActivityIdNSizeIs

    - #### wmVirtualActivityId

          private int[] wmVirtualActivityId

    - #### wmActivityIdNSizeIs

          private int wmActivityIdNSizeIs

    - #### wmActivityId

          private int[] wmActivityId

    - #### wmTypeNSizeIs

          private int wmTypeNSizeIs

    - #### wmType

          private int[] wmType

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgVirtualActivityFilter

          public CfgVirtualActivityFilter()

    - #### CfgVirtualActivityFilter

          public CfgVirtualActivityFilter(int wmBUIdNSizeIs,
                                  int[] wmBUId,
                                  int wmSiteIdNSizeIs,
                                  int[] wmSiteId,
                                  int wmVirtualActivityIdNSizeIs,
                                  int[] wmVirtualActivityId,
                                  int wmActivityIdNSizeIs,
                                  int[] wmActivityId,
                                  int wmTypeNSizeIs,
                                  int[] wmType)

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the wmBUIdNSizeIs value for this CfgVirtualActivityFilter.
      Returns:
        wmBUIdNSizeIs

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int wmBUIdNSizeIs)

      Sets the wmBUIdNSizeIs value for this CfgVirtualActivityFilter.
      Parameters:
        `wmBUIdNSizeIs` -

    - #### getWmBUId

          public int[] getWmBUId()

      Gets the wmBUId value for this CfgVirtualActivityFilter.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int[] wmBUId)

      Sets the wmBUId value for this CfgVirtualActivityFilter.
      Parameters:
        `wmBUId` -

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the wmSiteIdNSizeIs value for this CfgVirtualActivityFilter.
      Returns:
        wmSiteIdNSizeIs

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)

      Sets the wmSiteIdNSizeIs value for this CfgVirtualActivityFilter.
      Parameters:
        `wmSiteIdNSizeIs` -

    - #### getWmSiteId

          public int[] getWmSiteId()

      Gets the wmSiteId value for this CfgVirtualActivityFilter.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int[] wmSiteId)

      Sets the wmSiteId value for this CfgVirtualActivityFilter.
      Parameters:
        `wmSiteId` -

    - #### getWmVirtualActivityIdNSizeIs

          public int getWmVirtualActivityIdNSizeIs()

      Gets the wmVirtualActivityIdNSizeIs value for this CfgVirtualActivityFilter.
      Returns:
        wmVirtualActivityIdNSizeIs

    - #### setWmVirtualActivityIdNSizeIs

          public void setWmVirtualActivityIdNSizeIs(int wmVirtualActivityIdNSizeIs)

      Sets the wmVirtualActivityIdNSizeIs value for this CfgVirtualActivityFilter.
      Parameters:
        `wmVirtualActivityIdNSizeIs` -

    - #### getWmVirtualActivityId

          public int[] getWmVirtualActivityId()

      Gets the wmVirtualActivityId value for this CfgVirtualActivityFilter.
      Returns:
        wmVirtualActivityId

    - #### setWmVirtualActivityId

          public void setWmVirtualActivityId(int[] wmVirtualActivityId)

      Sets the wmVirtualActivityId value for this CfgVirtualActivityFilter.
      Parameters:
        `wmVirtualActivityId` -

    - #### getWmActivityIdNSizeIs

          public int getWmActivityIdNSizeIs()

      Gets the wmActivityIdNSizeIs value for this CfgVirtualActivityFilter.
      Returns:
        wmActivityIdNSizeIs

    - #### setWmActivityIdNSizeIs

          public void setWmActivityIdNSizeIs(int wmActivityIdNSizeIs)

      Sets the wmActivityIdNSizeIs value for this CfgVirtualActivityFilter.
      Parameters:
        `wmActivityIdNSizeIs` -

    - #### getWmActivityId

          public int[] getWmActivityId()

      Gets the wmActivityId value for this CfgVirtualActivityFilter.
      Returns:
        wmActivityId

    - #### setWmActivityId

          public void setWmActivityId(int[] wmActivityId)

      Sets the wmActivityId value for this CfgVirtualActivityFilter.
      Parameters:
        `wmActivityId` -

    - #### getWmTypeNSizeIs

          public int getWmTypeNSizeIs()

      Gets the wmTypeNSizeIs value for this CfgVirtualActivityFilter.
      Returns:
        wmTypeNSizeIs

    - #### setWmTypeNSizeIs

          public void setWmTypeNSizeIs(int wmTypeNSizeIs)

      Sets the wmTypeNSizeIs value for this CfgVirtualActivityFilter.
      Parameters:
        `wmTypeNSizeIs` -

    - #### getWmType

          public int[] getWmType()

      Gets the wmType value for this CfgVirtualActivityFilter.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int[] wmType)

      Sets the wmType value for this CfgVirtualActivityFilter.
      Parameters:
        `wmType` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.